Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## simogl.gameobjects.building
Class CityHall

    java.lang.Object
      simogl.gameobjects.AbstractGameObject
          simogl.gameobjects.building.AbstractBuilding
              simogl.gameobjects.building.CityHall

    public class CityHall

extends AbstractBuilding

This class represents a house in the game

Author:
  Frank Bruns

Field Summary

Fields inherited from class simogl.gameobjects.building.AbstractBuilding
`CITY_HALL, FARM, HOUSE, type`

Constructor Summary
`CityHall(float x, float y, float z)` Creates a new house

Method Summary
`static void` | `decreaseNumberOfCityHall(int amount)` Static method to decrease the value of the city hall counter by the specified amount.
`static int` | `getMaxCollectableTaxes()` Returns the maximum amount of collectable taxes, if you sum up the collection capabilities of all city halls together
`int` | `getNumberCityHalls()` Returns the number of city halls built so far

Methods inherited from class simogl.gameobjects.building.AbstractBuilding
`addToScene, decreaseNumberInhabitants, deleteBuilding, getFoodConsumption, getNumberInhabitants, getPrice, getRegularCosts, getTaxes, getTaxRate, getTotalNumberInhabitants, getType, increaseNumberInhabitants, setPrice, setRegularCost, setTaxRate, setVisibleBox, update`

Methods inherited from class simogl.gameobjects.AbstractGameObject
`getModel, getName, getPosition, getX, getY, getZ, setPosition, setPosition, setX, setY, setZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CityHall

    public CityHall(float x,
                    float y,
                    float z)

  Creates a new house

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate

Method Detail

### getNumberCityHalls

    public int getNumberCityHalls()

  Returns the number of city halls built so far

  Returns:
    number of built city halls

### decreaseNumberOfCityHall

    public static void decreaseNumberOfCityHall(int amount)

  Static method to decrease the value of the city hall counter by the specified amount.

  Parameters:
    `amount` - amount to decrease the city hall counter

### getMaxCollectableTaxes

    public static int getMaxCollectableTaxes()

  Returns the maximum amount of collectable taxes, if you sum up the collection capabilities of all city halls together

  Returns:
    overall collectable taxes by city halls

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD